<?php 

/*

Plugin Name: JinMenu

Plugin URI: http://buffernow.com/

Description: Inject Javascript In WP MENU

Version: 3.0.0

Author: Rohit Chowdhary

Author URI: http://buffernow.com/about-me/

*/

class jin {

public static $dir, $url;

   function __construct(){	

	JIN::$dir = WP_PLUGIN_DIR.'/jin-menu/';

	JIN::$url = WP_PLUGIN_URL."/jin-menu/";

	add_filter('nav_menu_css_class' , array($this,'jsom_menu_class'), 10 , 2);

	$this->init();

   }

   

	function jsom_menu_class($classes, $item){

		

	            	    if(isset($item->jin) && $item->jin !="" ){

							//echo "<pre>";print_r($item);die;

						$classes[] = "jsom".str_replace(' ', '',$item->title."-".$item->ID);  

                      }	                             

					 

					 return $classes;

				}

  	

	function init(){

		

		add_action( 'wp_enqueue_scripts', array($this,'enqueue_scripts') );

		add_action('admin_menu',array($this,'jin_plugin_menu'));

		

		add_filter( 'wp_setup_nav_menu_item',array($this,'jin_nav_item') );

		

		$is_enable = get_option( 'jin-no-conflict', '' );

		if(!isset($is_enable) OR $is_enable !=1  ){		

				require_once (JIN::$dir . 'class.draw.php');

					$draw = new draw();

		}	

		require_once (JIN::$dir . 'class.injection.php');

	

		$injection = new jin_injection();

		

		$this->check_update();

	}	

	

	function enqueue_scripts() {

		wp_enqueue_script('jquery');

	}



	function jin_plugin_menu(){

	$submenu = add_submenu_page('themes.php' ,'Jin Menus', 'Jin Menus', 'manage_options', 'jin-plugin-menu', array($this,'jin_plugin_options'));



	

	add_action('admin_print_styles-'.$submenu , array($this,'jin_load_scripts'));

	

	//call register settings function

	add_action( 'admin_init', array($this,'register_jinsettings') );

	}

	

	function jin_plugin_options(){

     require('template.php');

	}

	

	function jin_load_scripts(){

			wp_enqueue_style('jquery-ui-accordion');    

			wp_enqueue_style('dashicon');    

			wp_enqueue_style('nav-menu');      

			//wp_enqueue_script('jquery-ui');

			wp_enqueue_script('jquery-ui-accordion');

	}

	

	function register_jinsettings() {

		//register our settings

		register_setting( 'jin-settings-group', 'new_option_name' );

		register_setting( 'jin-settings-group', 'some_other_option' );

		register_setting( 'jin-settings-group', 'option_etc' );

	}



	function jin_nav_item($menu_item) {

		$menu_item->jin = get_post_meta( $menu_item->ID, '_menu_item_jin', true );

		return $menu_item;

	}

	

	function check_update(){



		if(isset($_REQUEST['jin_update'])){

		$menu_items = $_REQUEST['menu-item-jin'];

			if(!empty($menu_items)) :

				foreach($menu_items as $key=>$val):

				   if(!update_post_meta( $key, '_menu_item_jin', $val ))

						add_post_meta($key, '_menu_item_jin', $val);

				endforeach;

			endif;

			

			$on = isset($_POST['jin-no-conflict']) ? 1 :0;

			if(!update_option( "jin-no-conflict", $on ))

						add_option( "jin-no-conflict", $on );

		}



	}

	

}	

	$Lets_Start = new jin();

?>